<ion-header no-border #header>

  <ion-toolbar>
    <ion-buttons class="menu-botton" slot="start" *ngIf="!isSearchbarOpened">
      <ion-menu-button>
        <img class="menu-img" src="/assets/background1.jpg">
      </ion-menu-button>
    </ion-buttons>
    <div class="header-title-search">
      <ion-title text-center *ngIf="!isSearchbarOpened">
        АРАВАН ЖАРНАК
      </ion-title>
      <ion-searchbar *ngIf="isSearchbarOpened" (ionChange)="onSearch($event.target.value)"
        show-cancel-button="true" (ionCancel)="searchCancelled()"></ion-searchbar>
      <ion-buttons end class="header-search">
        <button class="searchButton" ion-button icon-only *ngIf="!isSearchbarOpened" (click)="isSearchbarOpened=true">
          <ion-icon name="search"></ion-icon>
        </button>

      </ion-buttons>
    </div>
  </ion-toolbar>

</ion-header>

<ion-content>

  <ion-refresher slot="fixed" (ionRefresh)="doRefresh($event)">
        <ion-refresher-content
          pullingIcon="arrow-dropdown"
          pullingText="Pull to refresh"
          refreshingSpinner="circles"
          refreshingText="Refreshing...">
        </ion-refresher-content>
      </ion-refresher>



  <div class="row" *ngIf="!showSearchResult">
    <div class="hello" *ngFor="let info of inf">
      <article class="artic">

        <div class="reklama_photo" (click)="showInfo(info)">
          <span *ngIf="allowStatus(info.status)">
            <div  class="image_border_premium">
              <img class="imag" src="{{ info.images[0]}}">
              <span class="premium-icon">
                <span class="premium-icon-title"><ion-icon slot="start" name="star-outline"></ion-icon>Premium</span>
              </span>
            </div>
          </span>

          <span *ngIf="!allowStatus(info.status)">
            <div class="image_border_static">
              <img class="imag" src="{{info.images[0]}}">
            </div>
          </span>

        </div>

        <div class="reklama_status">{{info.price}}</div>

        <div class="reklama_topic_div">
          <p class="reklama_topic">{{info.name}}</p>
        </div>


        <ion-footer class="row-footer">
          <p class="row-date">{{info.time | date: "dd/MM/yyyy"}}</p>
          <div class="footer-buttons">
            <a *ngIf="!checkRole"  class="buttons-icons" (click)="callNow(info.phoneNumber)">
              <ion-icon name="call"></ion-icon>
            </a>

            <a *ngIf="!checkRole"  class="buttons-icons" href="https://api.whatsapp.com/send?phone={{info.whatsApp.substring(1)}}">
              <ion-icon name="logo-whatsapp"></ion-icon>
            </a>

            <a class="buttons-icons" *ngIf="checkRole">
              <ion-icon name="trash" (click)="presentAlertConfirm(info)"></ion-icon>
            </a>
            <a class="buttons-icons" *ngIf="checkRole">
              <ion-icon name="create" routerLink = "/edit/{{info.uid}}"></ion-icon>
            </a>
          </div>
        </ion-footer>

      </article>
    </div>
  </div>

  <div class="row" *ngIf="isSearchbarOpened">
    <div class="hello" *ngFor="let info of searchResults">
      <article class="artic">
        <div class="reklama_photo" (click)="showSingleInfo(info.id)">

          <div *ngIf="allowStatus(info.status)" class="image_border_premium">
            <img class="imag" src="/assets/112.jpg">
            <div class="top-left">
              Внимание</div>
          </div>

          <div *ngIf="!allowStatus(info.status)" class="image_border">
            <img class="imag" src="/assets/cat.png">
          </div>
        </div>

        <div class="reklama_status">{{info.price}}</div>
        <p class="reklama_topic">{{info.name}}</p>

        <ion-footer class="row-footer">
          <p class="row-date">{{info.time | date: "dd/MM/yyyy"}}</p>
          <div class="footer-buttons">
            <a class="buttons-icons" (click)="callNow(info.phoneNumber)">
              <ion-icon name="call"></ion-icon>
            </a>

            <a class="buttons-icons" href="https://api.whatsapp.com/send?phone={{info.whatsApp.substring(1)}}">
              <ion-icon name="logo-whatsapp"></ion-icon>
            </a>

            <a class="buttons-icons" *ngIf="checkRole">
              <ion-icon name="trash" (click)="presentAlertConfirm(info)"></ion-icon>
            </a>
          </div>
        </ion-footer>

      </article>
    </div>

  </div>

</ion-content>


<ion-footer>
  <ion-toolbar>
    <ion-title class="footer-title ion-text-center"> Реклама беруу
      <a class="classic" href="https://api.whatsapp.com/send?phone=996708602720">
        +996708602720
      </a> </ion-title>
  </ion-toolbar>
</ion-footer>